function [x,y] = compspect( a, n )
% COMPSPECT( a ) - compute an n-point spectrum from
%                  linear prediction coefficients a
%

  m = size( a, 2 );

  spect = zeros( 1, 2 * n );
  spect(1) = 1;
  spect( 2 : 1+m ) = -a;
  % use fft as short cut to evaluation of the spectrum
  spect = fft( spect );
  spect = 1 ./ (spect .* conj( spect ));
  y = spect(1:n)';
  x = [0:n-1]' * (0.5/n);

end
